<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
	<title>JMIEcommerce</title>	
	<link rel="icon"  th:href="@{/assets/img/img/iconLogo.ico}" type="image/icon type">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="shortcut icon" type="image/x-icon" th:href="@{/assets/img/favicon.ico}">
	<link rel="stylesheet" th:href="@{/assets/css/bootstrap.min.css}">
	<link rel="stylesheet" th:href="@{/assets/css/owl.carousel.min.css}">
	<link rel="stylesheet" th:href="@{/assets/css/slick.css}">
	<link rel="stylesheet" th:href="@{/assets/css/magnific-popup.css}">
	<link rel="stylesheet" th:href="@{/assets/css/font.awesome.css}">
	<link rel="stylesheet" th:href="@{/assets/css/ionicons.min.css}">
	<link rel="stylesheet" th:href="@{/assets/css/animate.css}">
	<link rel="stylesheet" th:href="@{/assets/css/jquery-ui.min.css}">
	<link rel="stylesheet" th:href="@{/assets/css/slinky.menu.css}">
	<link rel="stylesheet" th:href="@{/assets/css/plugins.css}">
	<link rel="stylesheet" th:href="@{/assets/css/style.css}">
	<script th:src="@{/assets/js/vendor/modernizr-3.7.1.min.js}"></script>
</head>

<body>

	<div th:replace="cabeceraSuperior :: copy"></div>
	<div th:replace="cabeceraInferior :: copy"></div>	
	<div th:replace="cabeceraInferior :: copy1"></div>
	
	<div th:replace="seccionActual :: copy"></div>
	
	<div class="shopping_cart_area mt-32">
		<div class="container">
			<form action="#">
				<div class="row">
					<div class="col-12">
						<div class="errorMyMsg" id="errorModificarProducto"></div>
						<div class="table_desc">
							<div class="cart_page table-responsive">
								<table>
									<thead>
										<tr>
											<th class="product_thumb" th:text="#{paginaPago.imagen}">Imagen</th>
											<th class="product_name" th:text="#{paginaPago.producto}">Producto</th>
											<th class="product-price" th:text="#{paginaPago.precio}">Precio</th>
											<th class="product_quantity" th:text="#{paginaPago.cantidad}">Cantidad</th>
											<th class="product_total" th:text="#{paginaPago.total}">Total</th>
										</tr>
									</thead>
									<tbody th:if= "${carrito!=null && carrito.productos!=null && carrito.productos.size>0}">
										<tr th:each="producto : ${carrito.productos}">
											<td class="product_thumb">
												<img th:if="${(producto!=null && producto.listaProductoImagen!=null && producto.listaProductoImagen.size>0)}" id="zoom1" th:src="${producto.listaProductoImagen[0].url}" th:data-zoom-image="${producto.listaProductoImagen[0].url}" alt="big-1">
                                				<img th:if="${(producto==null && producto.listaProductoImagen==null || producto.listaProductoImagen.size==0 || producto.listaProductoImagen[0].url==null)}" th:src="@{/assets/img/img/sinImagen.png}" alt="big-1">
											</td>
											<td class="product_name">
												<a th:text="${producto.nombre}"></a>
											</td>
											<td th:text="'$ '+${producto.precioMenudeoFormato}"></td>
											<td class="product_quantity">
												<a th:text="${producto.cantidad}"></a>												
											</td>
											<td th:text="'$ '+${producto.total}"></td>
										</tr>
										<tr>
											<td class="mytdTableCart"colspan="3"></td>
											<td class="mytdTableCart"><b th:text="#{paginaPago.subtotal}">Subtotal</b></td>
											<td class="mytdTableCart" th:text="'$ '+${carrito.subtotal}"></td>
										</tr>
										<tr>
											<td class="mytdTableCart"colspan="3"></td>
											<td class="mytdTableCart"><b>IVA</b></td>
											<td class="mytdTableCart" th:text="'$ '+${carrito.iva}"></td>
										</tr>
										<tr>
											<td class="mytdTableCart"colspan="3"></td>
											<td class="mytdTableCart"><b th:text="#{paginaPago.total}">Total</b></td>
											<td class="mytdTableCart" th:text="'$ '+${carrito.total}"></td>
										</tr>
									</tbody>
								</table>
							</div>						
						</div>						
					</div>
				</div>
			</form>
		</div>
	</div>

	<input type="hidden" id="idInputHiddenCarritoTotal" th:value="${carrito.total}">
	<div class="Checkout_section mt-32">
		<div class="container">
		<div class="cerrarSesion"><a th:href="@{/signOff}" th:text="#{paginaPago.noSoyYoCerrarSesion}">No soy yo, cerrar sesión</a></div>
			<div class="row">
				<div class="col-12">
					<div id="accordion" class="card__accordion">
						<div class="card card_dipult">
						<form id="idFormDataUser" onsubmit="return false;">
							<input type="hidden" name="cliente.pkcliente" th:value="${usuario.pkcliente}">
							<div class="card-header card_accor" id="headingOne">
								<button class="btn btn-link" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne" >
									<div th:text="#{paginaPago.datosPersonales}">Datos personales</div>
									<i class="fa fa-plus"></i> 
									<i class="fa fa-minus"></i>
								</button>

							</div>

							<div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordion">
								<div class="card-body">
									<div class="contact_area">
										<div class="container">
											<div class="row">
												<div class="col-lg-6 col-md-12">
													<div class="contact_message form">

														<p>
															<label th:text="#{paginaPago.nombres}"> Nombres:</label> 
															<br><label> <b th:text="${usuario.nombres}"></b></label>
														</p>
														<p>
															<label th:text="#{paginaPago.correoElectronico}"> Correo electronico:</label> 
															<br><label> <b th:text="${usuario.correo}"></b></label>
														</p>			
														<p>
															<label th:text="#{paginaPago.rfc}"> RFC:</label> 
															<br><label> <b th:text="${usuario.rfc}"></b></label>
														</p>								
														<button type="submit" onclick="showPopupEmail()" th:text="#{paginaPago.editarDatosPersonales}">Editar datos personales</button><br><br>																											
													</div>
												</div>
												<div class="col-lg-6 col-md-12">
													<div class="contact_message form">

														<p>
															<label th:text="#{paginaPago.apellidos}"> Apellidos:</label> 
															<br><label> <b th:text="${usuario.apellidos}"></b></label>
														</p>
														<p>
															<label th:text="#{paginaPago.telefono}"> Telefono:</label>
															<br><label> <b th:text="${usuario.telefono}"></b></label>
														</p>
														<p>
															<label th:text="#{paginaPago.sector}"> Sector:</label>
															<br><label> <b th:text="${usuario.sector}"></b></label>
														</p>																
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</form>
						</div>
						
						<div class="card  card_dipult">
							<form id="idFormDataDelivery" onsubmit="return false;">
							<div class="card-header card_accor" id="headingThree">
								<button class="btn btn-link collapsed" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
									<div th:text="#{paginaPago.opcionesEntrega}">Opciones de entrega</div> 
									<i class="fa fa-plus"></i> 
									<i class="fa fa-minus"></i>
								</button>
							</div>
							<div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordion">
								<div class="card-body">
									<div class="contact_area">
										<div class="container">
											<div class="row">
												<div class="col-lg-6 col-md-12">
													<div class="contact_message form">

														<p>
															<label th:text="#{paginaPago.codigoPostal}"> Codigo Postal:</label> 
															<br><label> <b th:text="${usuario.listaDomicilios[0].codigoPostal}"></b></label>
														</p>
														<p>
															<label th:text="#{paginaPago.estado}"> Estado:</label> 
															<br><label> <b th:text="${usuario.listaDomicilios[0].estado}"></b></label>
														</p>
														<p>
															<label th:text="#{paginaPago.noExterior}"> No. Exterior:</label> 
															<br><label> <b th:text="${usuario.listaDomicilios[0].noExterior}"></b></label>
														</p>
														<p>
															<label th:text="#{paginaPago.calle}"> Calle:</label> 
															<br><label> <b th:text="${usuario.listaDomicilios[0].calle}"></b></label>
														</p>
														<button type="submit" onclick="showPopupEmail()" th:text="#{paginaPago.editarDatosEntrega}">Editar datos de entrega</button><br><br>																												
														<p class="form-messege"></p>
													</div>
												</div>
												<div class="col-lg-6 col-md-12">
													<div class="contact_message form">

														<p>
															<label th:text="#{paginaPago.municipioDelegacion}"> Municipio/Delegación:</label> 
															<br><label> <b th:text="${usuario.listaDomicilios[0].delegacion}"></b></label>
														</p>
														<p>
															<label th:text="#{paginaPago.colonia}"> Colonia:</label> 
															<br><label> <b th:text="${usuario.listaDomicilios[0].colonia}"></b></label>
														</p>
														<p>
															<label th:text="#{paginaPago.noInterior}"> No. Interior:</label> 
															<br><label> <b th:text="${usuario.listaDomicilios[0].noInterior}"></b></label>
														</p>														
													</div>
												</div>
											</div>
										</div>
										
										<div th:replace="seccionListaPaqueterias :: copy"></div>
										
									</div>
								</div>
							</div>
							</form>
						</div>
						
						<div class="card  card_dipult">
							<form id="idFormDataPay" onsubmit="return false;">
							<input id="inputIdPkventa" type="hidden" name="pkventa">
							<input id="idFormaPago" type="hidden" name="formaPago">
							<div class="card-header card_accor" id="headingfour">
								<button class="btn btn-link collapsed" data-toggle="collapse" data-target="#collapseeight" aria-expanded="false" aria-controls="collapseeight">
									<div th:text="#{paginaPago.pago}">Pago</div> 
									<i class="fa fa-plus"></i> 
									<i class="fa fa-minus"></i>
								</button>
							</div>
							<div id="collapseeight" class="collapse" aria-labelledby="headingfour" data-parent="#accordion">
								<div class="card-body">
									<div class="contact_area">
										<div class="container">
											<div class="row" id="idRowGraciasCompra" style="display: none;">
												<div class="col-lg-12 col-md-6">
								                	<div class="single_priceing">
								                		<div class="myPriceing_title">
								                            <h1 th:text="#{paginaPago.muchasGraciasCompra}">Muchas gracias por tu compra!</h1>
								                        </div>
								                        <div class="myPriceing_list">								                            
								                            <ul>								                            	
								                                <li style=""><br><p th:utext="#{paginaPago.intruccionesCompra1}">Recibiras tu pedido en cuanto hayamos validado tu pago,<br> Te llegara un correo con los detalles de tu compra</p></li>								                                
								                                <li><br><p th:text="#{paginaPago.intruccionesCompra2}">Siguenos también en nuestras redes sociales</p><br>
																    <a href="https://www.facebook.com/jmi.mx" class="facebook" target="_blank"><i class="ion-social-facebook"></i></a><a href="https://www.youtube.com/channel/UC97SpCKSh2fs4kWkc0RxWvQ" class="youtube" target="_blank"><i class="ion-social-youtube"></i></a>
																    <a href="https://www.linkedin.com/company/jmi-industrial-technology-sa-de-cv/mycompany/?viewAsMember=true" class="google" target="_blank"><i class="ion-social-linkedin"></i></a>
																    <a href="https://twitter.com/JM_Industrial" class="google" target="_blank"><i class="ion-social-twitter"></i></a>
																</li>								                                
								                            </ul>								                            
								                        </div>
								                	</div>
								                </div>
											</div>
											<div class="row" id="idRowPagos">
												<div class="col-lg-4 col-md-6">
								                    <div class="single_priceing">
								                        <div class="priceing_title" style="background: #33abe2;">
								                            <h1>PayPal</h1>
								                        </div>
								                        <div class="priceing_list">
								                            <h1><span class="idInputCostoTotalVenta" th:text="'$ '+${carrito.total}"></span></h1>
								                            <ul>
								                                <img style="width: 175px;" th:src="@{/assets/img/img/paypal-logo.png}" alt="">
								                                <li th:text="#{paginaPago.proteccionComprador}">Protección al comprador</li>
								                                <li th:text="#{paginaPago.facilComodo}">Facil y comodo</li>
								                                <li th:text="#{paginaPago.seguroInmediato}">Mas seguro</li>								                                
								                            </ul>
								                            <a onclick="ajaxSendSale(1)" class="mybuttonPayPal" th:text="#{paginaPago.pagarPayPal}">Pagar con PayPal</a>
								                        </div>
								                    </div>
								                </div>
								                <div class="col-lg-4 col-md-6">
								                    <div class="single_priceing">
								                        <div class="priceing_title" style="background: #f71a0f;">
								                            <h1>Conekta Oxxo</h1>
								                        </div>
								                        <div class="priceing_list">
								                            <h1><span class="idInputCostoTotalVenta" th:text="'$ '+${carrito.total}"></span></h1>
								                            <ul>
								                                <img style="width: 150px;" th:src="@{/assets/img/img/oxxo-logo.png}" alt="">
								                                <li th:text="#{paginaPago.referenciaPersonalizada}">Referencia personalizada</li>
								                                <li th:text="#{paginaPago.pagaCualquierOxxO}">Paga en cualquier Oxxo</li>
								                                <li th:text="#{paginaPago.pagoInmediato}">Pago inmediato</li>
								                            </ul>
								                            <a onclick="ajaxSendSale(2)" class="mybuttonOxxoConekta" th:text="#{paginaPago.pagarConektaOxxO}">Pagar Conekta Oxxo</a>
								                        </div>
								                    </div>
								                </div>
								                <div class="col-lg-4 col-md-6">
								                    <div class="single_priceing">
								                        <div class="priceing_title">
								                            <h1 th:text="#{paginaPago.cotizacíon}">Cotizacíón</h1>
								                        </div>
								                        <div class="priceing_list">
								                            <h1><span class="idInputCostoTotalVenta" th:text="'$ '+${carrito.total}"></span></h1>
								                            <ul>
								                            	<img style="width: 230px;" th:src="@{/assets/img/img/JMILogo.png}" alt="">
								                                <li th:text="#{paginaPago.descargarCotizacion}">Descargar cotizacion</li>
								                                <li th:text="#{paginaPago.envioCorreo}">Envio a tu correo</li>
								                                <li th:text="#{paginaPago.comunicateJMI}">Comunicate a JMI</li>								                                
								                            </ul>
								                            <a onclick="ajaxSendSale(3)" class="list_button" th:text="#{paginaPago.descargarCotizacion}">Descargar cotización </a>
								                        </div>
								                    </div>
								                </div>								                
											</div>
										</div>
									</div>
								</div>
							</div>
							</form>
						</div>
										
					
					</div>
				</div>
			</div>
		</div>
	</div>
	
	
	<div class="newletter-popup" id="popupEmail">
        <div id="boxes" class="newletter-container">
            <div id="dialog" class="window">
                <div id="popup2" onclick="closePopup('popupEmail')">
                    <span class="b-close"><span>X</span></span>
                </div>
                <div class="box">
                   <div class="newletter-title">
	                        <h2 th:text="#{paginaPago.correoElectronicoPopUp}">Correo electronico</h2>
	                    </div>
                    <div class="box-content newleter-content">
                        <label class="newletter-label" th:text="#{paginaPago.recibirasClaveAcceso}">Recibiras una clave de acceso rápido por correo. Por favor, ingrese su correo electrónico.</label>
                        <div id="frm_subscribe">
                            <form id="idFormSendCode" th:action="@{/api/user/sendCode}" th:object="${user}" action="#">                                
                                <input type="text" th:value="${correoElectronico}" name="correo" id="idCorreoElectronico" placeholder="Correo electronico" style="pointer-events:none;opacity:.8">
                                <a class="theme-btn-outlined" onclick="ajaxSendCode()"><span>Enviar</span></a>
                            </form>           
                            <div class="errorMyMsg" id="errorMsgCorreo"></div>                 
                        </div>                        
                    </div>                    
                </div>
            </div>
        </div>        
    </div>
	
	
	<div class="newletter-popup" id="popupCode">
        <div id="boxes" class="newletter-container">
            <div id="dialog" class="window">
                <div id="popup2" onclick="closePopup('popupCode')">
                    <span class="b-close"><span>X</span></span>
                </div>
                <div class="box">
                    <div class="newletter-title">
                        <h2 th:text="#{paginaPago.confirmarCodigoAcceso}">Confirmar codigo de acceso</h2>
                    </div>
                    <div class="box-content newleter-content">
                        <label class="newletter-label" th:text="#{paginaPago.ingresaCodigoAcceso}">Por favor, ingrese el codigo de acceso que se ha enviado al correo electronico <p id="idTextoCorreoElectronico"></p></label>
                        <div id="frm_subscribe">
                            <form id="idFormValidateCode" th:action="@{/api/user/validateCode}" th:object="${user}" action="#">
                            	<input type="hidden" id="idCorreoElectronicoCodigo" name="correo">
                                <input type="text" value="" name="codigo" id="idCodigo" th:placeholder="#{paginaPago.codigo}">                                
                                <a class="theme-btn-outlined" onclick="ajaxValidateCode()"><span th:text="#{paginaPago.confirmar}">Confirmar</span></a>
                            </form>                           
                            <div class="errorMyMsg" id="errorMsgCodigo"></div> 
                        </div>                        
                    </div>                    
                </div>
            </div>
        </div>        
    </div>
    
    <form id="idFormCheckout" th:action="@{/checkout}" th:object="${user}" action="#" method="post" style="display: none">
		<input type="text" value="" name="correo" id="idCorreoElectronicoPago" placeholder="Ingrese su correo electronico">                                									
	</form>
	<form id="idFormShippingQuotations" th:action="@{/api/shipping/quotation}"></form>
	<form id="idFormSaleCreateSale" th:action="@{/api/sale/createSale}"></form>
	
	<div th:replace="respuesta :: copy"></div>
	<div th:replace="piePagina :: copy"></div>
	
	<div style="display: none;" id="paginaPagocorreoElectronicoRequerido" th:text="#{paginaPago.correoElectronicoRequerido}"></div>
	<div style="display: none;" id="paginaPagocorreoElectronicoInvalido" th:text="#{paginaPago.correoElectronicoInvalido}"></div>
	<div style="display: none;" id="paginaPagocodigoRequerido" th:text="#{paginaPago.codigoRequerido}"></div>
	<div style="display: none;" id="paginaPagonombresRequeridos" th:text="#{paginaPago.nombresRequeridos}"></div>
	<div style="display: none;" id="paginaPagotelefonoRequerido" th:text="#{paginaPago.telefonoRequerido}"></div>
	<div style="display: none;" id="paginaPagorfcRequerido" th:text="#{paginaPago.rfcRequerido}"></div>
	<div style="display: none;" id="paginaPagoapellidosRequeridos" th:text="#{paginaPago.apellidosRequeridos}"></div>
	<div style="display: none;" id="paginaPagocorreosNoCoinciden" th:text="#{paginaPago.correosNoCoinciden}"></div>
	<div style="display: none;" id="paginaPagorazonSocialRequerida" th:text="#{paginaPago.razonSocialRequerida}"></div>
	<div style="display: none;" id="paginaPagocodigoPostalRequerido" th:text="#{paginaPago.codigoPostalRequerido}"></div>
	<div style="display: none;" id="paginaPagoestadoRequerido" th:text="#{paginaPago.estadoRequerido}"></div>
	<div style="display: none;" id="paginaPagonumeroExteriorRequerido" th:text="#{paginaPago.numeroExteriorRequerido}"></div>
	<div style="display: none;" id="paginaPagocalleRequerido" th:text="#{paginaPago.calleRequerido}"></div>
	<div style="display: none;" id="paginaPagodelegacionRequerido" th:text="#{paginaPago.delegacionRequerido}"></div>
	<div style="display: none;" id="paginaPagocoloniaRequerida" th:text="#{paginaPago.coloniaRequerida}"></div>
	<div style="display: none;" id="paginaPagonumeroInteriorRequerido" th:text="#{paginaPago.numeroInteriorRequerido}"></div>
	<div style="display: none;" id="paginaPagoreferenciaRequerido" th:text="#{paginaPago.referenciaRequerido}"></div>
	<div style="display: none;" id="paginaPagoerrorPeticion" th:text="#{paginaPago.errorPeticion}"></div>
	<div style="display: none;" id="paginaPagodatosPersonalesAsterisco" th:text="#{paginaPago.datosPersonalesAsterisco}"></div>
	<div style="display: none;" id="paginaPagoopcionesEntregaAsterisco" th:text="#{paginaPago.opcionesEntregaAsterisco}"></div>
	<div style="display: none;" id="paginaPagodatosFacturacionAsterisco" th:text="#{paginaPago.datosFacturacionAsterisco}"></div>	
	<div style="display: none;" id="paginaPagodatosPersonales" th:text="#{paginaPago.datosPersonales}"></div>
	<div style="display: none;" id="paginaPagoopcionesEntrega" th:text="#{paginaPago.opcionesEntrega}"></div>
	<div style="display: none;" id="paginaPagodatosFacturacion" th:text="#{paginaPago.datosFacturacion}"></div>
	<div style="display: none;" id="paginaPagoerrorPago" th:text="#{paginaPago.errorPago}"></div>	

	<script th:src="@{/assets/js/vendor/jquery-3.4.1.min.js}"></script>
	<script th:src="@{/assets/js/popper.js}"></script>
	<script th:src="@{/assets/js/bootstrap.min.js}"></script>
	<script th:src="@{/assets/js/owl.carousel.min.js}"></script>
	<script th:src="@{/assets/js/slick.min.js}"></script>
	<script th:src="@{/assets/js/jquery.magnific-popup.min.js}"></script>
	<script th:src="@{/assets/js/jquery.countdown.js}"></script>
	<script th:src="@{/assets/js/jquery.ui.js}"></script>
	<script th:src="@{/assets/js/jquery.elevatezoom.js}"></script>
	<script th:src="@{/assets/js/isotope.pkgd.min.js}"></script>
	<script th:src="@{/assets/js/slinky.menu.js}"></script>
	<script th:src="@{/assets/js/plugins.js}"></script>
	<script th:src="@{/assets/js/jquery.validate.js}"></script>
	<script th:src="@{/assets/js/paginaPrincipal.js}"></script>
	<script th:src="@{/assets/js/paginaPago.js}"></script>
	<script th:src="@{/assets/js/cabecera.js}"></script>

</body>

</html>